%define name lilypond
%define version 2.5.11
%define release 1mdk

Summary:	A program for printing sheet music
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Publishing
URL:		http://www.lilypond.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

Source0:	http://lilypond.org/download/v2.5/%{name}-%{version}.tar.bz2
Source1:	%{name}.bash-completion.bz2
Patch0:		lilypond-2.5.11-destdir.patch.bz2
Patch1:		lilypond-2.5.10-search-scm.patch.bz2

# (Abel) bib2html or bibtex2html -- pick either one
BuildRequires:  bib2html
BuildRequires:	bison > 1.75
BuildRequires:	ec-fonts-mftraced >= 1.0.5
BuildRequires:	flex >= 2.5.4a-22mdk
BuildRequires:	fontforge >= 1.0-0.20041208.1mdk
BuildRequires:	gettext
BuildRequires:	ghostscript >= 7.05-53.2mdk
BuildRequires:	groff-for-man
BuildRequires:	gtk2-devel >= 2.4.0
BuildRequires:	guile-devel >= 1.6.4
BuildRequires:	mftrace >= 1.1.1
BuildRequires:	python-devel
BuildRequires:	tetex-devel
BuildRequires:	texinfo >= 4.7
BuildRequires:	info-install
BuildRequires:	zip
#BuildRequires:	netpbm
#BuildRequires:	autotrace
#BuildRequires:	ImageMagick-devel >= 5.5.4.4
#BuildRequires:	t1lib1-devel
#BuildRequires:	t1utils
Requires:	tetex-latex
Requires:	ec-fonts-mftraced >= 1.0.5
PreReq:		chkfontpath
Prereq:		info-install
 

%description
LilyPond is a music typesetter.  It produces beautiful sheet music using a
high level description file as input.  LilyPond is part of the GNU project.
 
LilyPond is split into two packages.  The package "lilypond" provides the
core package, containing the utilities for converting the music source
(.ly) files into printable output.  The package "lilypond-doc" 
provides the full documentation, example .ly files for various features and 
the Mutopia project files (musical equivalent of the Gutenberg project - see
http://www.mutopiaproject.org for details).
 
If you are new to lilypond, you will almost certainly want to install the
"lilypond-doc" package in addition to the "lilypond" package.


%package	doc
Summary:	LilyPond documentation, examples and Mutopia files
Group:		Publishing
Obsoletes:	%{name}-manual
Provides:	%{name}-manual

%description	doc
The documentation of LilyPond, both in HTML and PostScript, along with
example input files and the files from the Mutopia project. If you
want to try the examples or score files from Mutopia project, please
also install LilyPond main package.


%prep
%setup -q
%patch0 -p1 -b .destdir
%patch1 -p1 -b .search-scm

bzcat %{SOURCE1} > %{name}.bash-completion

%build
# (Abel) Is this really necessary?
#Fix conflicting php variable out=/dev/vc/
#unset out

%configure2_5x --enable-gui

#./configure --prefix=%{_prefix}  --exec-prefix=%{_exec_prefix}  --bindir=%{_bindir}  --sbindir=%{_sbindir}  --sysconfdir=%{_sysconfdir}  --datadir=%{_datadir}  --includedir=%{_includedir}  --libdir=%{_libdir}  --libexecdir=%{_libexecdir}  --localstatedir=%{_localstatedir}  --sharedstatedir=%{_sharedstatedir}  --mandir=%{_mandir}  --infodir=%{_infodir} --disable-checking --enable-optimising --enable-gui

%make all

# make info
#make -C Documentation

# make html
%make web
#make -C Documentation/user omf

%install
rm -rf $RPM_BUILD_ROOT

# (Abel) Is this really necessary?
#Fix conflicting php variable out=/dev/vc/
#unset out

# Create installation root folders
#RPM_DOC_ROOT=$RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
#rm -rf $RPM_DOC_ROOT
#mkdir -p $RPM_DOC_ROOT

%makeinstall_std
#	vimdir=$RPM_BUILD_ROOT%{_datadir}/vim
#	local_lilypond_libdir=$RPM_BUILD_ROOT%{_libdir}/%{name}/%{version} \

# emacs file
install -D -m 644 elisp/lilypond-init.el $RPM_BUILD_ROOT%{_sysconfdir}/emacs/site-start.d/lilypond-init.el

# profile scripts
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/profile.d
cp buildscripts/out/lilypond-profile $RPM_BUILD_ROOT%{_sysconfdir}/profile.d/lilypond.sh
cp buildscripts/out/lilypond-login $RPM_BUILD_ROOT%{_sysconfdir}/profile.d/lilypond.csh

#make prefix="$RPM_BUILD_ROOT%{_prefix}" webdir="$RPM_BUILD_ROOT%{_prefix}/share/doc/%{name}-documentation-%{version}/" exec_prefix="$RPM_BUILD_ROOT%{_exec_prefix}" bindir="$RPM_BUILD_ROOT%{_bindir}" sbindir="$RPM_BUILD_ROOT%{_sbindir}" sysconfdir="$RPM_BUILD_ROOT%{_sysconfdir}" datadir="$RPM_BUILD_ROOT%{_datadir}" includedir="$RPM_BUILD_ROOT%{_includedir}" libdir="$RPM_BUILD_ROOT%{_libdir}" libexecdir="$RPM_BUILD_ROOT%{_libexecdir}" localstatedir="$RPM_BUILD_ROOT%{_localstatedir}" sharedstatedir="$RPM_BUILD_ROOT%{_sharedstatedir}" mandir="$RPM_BUILD_ROOT%{_mandir}" infodir="$RPM_BUILD_ROOT%{_infodir}" out=www web-install

# web doc
rm -rf `pwd`/package-doc
make out=www web-install webdir=`pwd`/package-doc DESTDIR=$RPM_BUILD_ROOT

# bash-completion stuff
install -D -m 644 %{name}.bash-completion $RPM_BUILD_ROOT%{_sysconfdir}/bash_completion.d/%{name}

%{find_lang} %{name}

%post
%_install_info %{name}/lilypond.info
%_install_info %{name}/lilypond-internals.info
%_install_info %{name}/music-glossary.info

find /var/lib/texmf \( -name 'feta*.pk' -or -name 'feta*.tfm' -or -name 'parmesan*.pk' -or -name 'parmesan*.tfm' \) -print0 | xargs -r -0 rm -f


mkfontdir %{_datadir}/lilypond/%{version}/fonts/type1
chkfontpath -l | grep -q %{_datadir}/lilypond/%{version}/fonts/type1 || chkfontpath --add=%{_datadir}/lilypond/%{version}/fonts/type1

%preun
%_remove_install_info %{name}/lilypond.info
%_remove_install_info %{name}/lilypond-internals.info
%_remove_install_info %{name}/music-glossary.info

rm -f %{_datadir}/lilypond/%{version}/fonts/type1/fonts.dir
if chkfontpath -l | grep -q %{_datadir}/lilypond/%{version}/fonts/type1; then chkfontpath --remove=%{_datadir}/lilypond/%{version}/fonts/type1; fi

%post doc
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q; fi

%postun doc
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q; fi

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-, root, root)
%doc COPYING README.txt INSTALL.txt DEDICATION NEWS.txt AUTHORS.txt THANKS

%config(noreplace) %{_sysconfdir}/profile.d/lilypond.*
%config(noreplace) %{_sysconfdir}/bash_completion.d/%{name}
%config(noreplace) %{_sysconfdir}/emacs/site-start.d/*

%{_bindir}/*
%{_datadir}/emacs/site-lisp/lilypond*
%{_datadir}/%{name}
%{_datadir}/vim/*/*
%{_libdir}/%{name}
%{_mandir}/man?/*
%{_infodir}/*

%files doc
%defattr(-, root, root)
%doc package-doc/*
%{_datadir}/omf/%{name}

%changelog
* Sun Feb  6 2005 Abel Cheung <deaddog@mandrake.org> 2.5.11-1mdk
- 2.5.11
- Merge the work done seperately by:
  o Noam Meltzer <tsnoam@zahav.net.il>
  o Torbjorn Turpeinen <tobbe@nyvalls.se>
  o Heikki Johannes Junes <hjunes@cc.hut.fi>
- Too many changes to list, they mainly include:
  o Remove menu entry
  o Always install info files
  o So called lib package is just python binding, merge into main pkg
  o Clean up some over-usage and under-usage of macros
  o P0: DESTDIR support, replaces patch the just sets vim file path
  o P1: Fix search path for .scm files, build failed

* Tue Nov 09 2004 Noam Meltzer <tsnoam@zahav.net.il> 2.4.2-1_tsn
- change release to 1_tsn and ver. to 2.4.2
- remove the full path reference to mkfontdir
- removing ending slashes from path elements of the font dir
- make some sanity checks before adding/removing fontpath elements

* Sun Nov 07 2004 Noam Meltzer <tsnoam@zahav.net.il> 2.4.1-2_tsn
- change release to 2_tsn
- when doing install-info, point it to the correct path.
- add a patch that willl replace the vimdir inside config.make.in to be $(datadir)/vim
- add %{_datadir}/vim to the files section

* Sat Nov 06 2004 Noam Meltzer <tsnoam@zahav.net.il> 2.4.1-1_tsn
- change release to 1_tsn and start to add changelog entries :-)
- change the source file to be a tar.gz file (instead of tar.bz2) as downloaded
- change the buildrequires from libMagick5.5.4-devel to just libmMagick5-devel
- add buildrequires: tetex-devel, python-devel
- add a requires: ec-fonts-mftraced
- use the bzip2, mkdir, rm, cp, strip, install & install-info macros instead of calling the commands directly
- fix a bug with the compression of the info files (add another element to the path)
- use only the %files -f %{name}.lang method to add locales, don't add it twice
- refer to /etc as sysconfdir, and not the ugly earlier way used before
- add more parameters to the configure scripts, according to the %configure macro
- build the gnome gui also
- make the link to the Source0 file correct
- use %make instead of make
- when doing 'make web-install', add all the prefixes needed to install it in rpmbuildroot
- add a packager line

* Fri Jul 16 2004 Michael Scherer <misc@mandrake.org> 2.2.0-2mdk 
- rebuild for new gcc

* Fri Apr 2 2004 Austin Acton <austin@mnadrke.org> 2.2.0-1mdk
- 2.2.0

* Mon Dec 29 2003 Guillaume Rousse <guillomovitch@mandrake.org> 2.0.1-1mdk
- new version
- added bash-completion
- removed some redundant requires/buildrequires
- no library package
- renamed documentation subapckage to manual subpackage for coherency
- no menu entry just for info and html pages
- let spechelper do its job
- spec cleanup

* Thu Sep 01 2003 Heikki Johannes Junes <hjunes@cc.hut.fi> 1.8.4-4mdk
- add target lilypond.words.

* Sun Aug 25 2003 Torbjorn Turpeinen <tobbe@nyvalls.se> 1.8.1-3mdk
- Fixed doc-path in menu.

* Sun Aug 24 2003 Torbjorn Turpeinen <tobbe@nyvalls.se> 1.8.1-2mdk
- Added Heikki Johannes Junes fix for confilcting PHP variable
  out=/dev/vc/ by adding unset out before compiling
- Compiled with recent guile = 1.6.4 and mftrace = 1.0.19
- Changed icon to lilypond.png
- Added menu and icons again

* Sun Aug 24 2003 Austin Acton <aacton@yorku.ca> 1.8.1-1mdk
- 1.8.1
- buildrequires XFree86
- build icons with ImageMagick

* Thu Aug 07 2003 Heikki Johannes Junes <hjunes@cc.hut.fi> 1.8.0-1mdk
- removed menu and icons, sync with redhat-spec

* Thu Jun 12 2003 Heikki Johannes Junes <hjunes@cc.hut.fi> 1.7.23-1mdk
- refreshed dependencies and file list.

* Thu Mar 06 2003 Buchan Milne <bgmilne@linux-mandrake.com> 1.7.14-1mdk
- 1.7.14

* Fri Feb 14 2003 Buchan Milne <bgmilne@linux-mandrake.com> 1.7.12-2mdk
- thac->contrib
- gcc fix (Thanks narfi) - p1
- Many fixes to make rpmlint happy - buildrequires,find-lang etc
- No bugs accepted, only patches ;-)

* Sat Feb 01 2003 Torbjorn Turpeinen <tobbe@nyvalls.se> 1.7.12-1mdk
- Built for Mandrake 9.1

* Fri Dec 01 2002 Heikki Johannes Junes <hjunes@cc.hut.fi> 1.7.9-1mdk
- set menu-items to lilypond-info and lilypond-documentation.

* Fri Nov 30 2002 Heikki Johannes Junes <hjunes@cc.hut.fi> 1.7.8-4mdk
- add pre/post-dependencies and menus with icon from source.

* Fri Oct 28 2002 Heikki Johannes Junes <hjunes@cc.hut.fi> 1.7.4-1mdk
- info, commented menu

* Fri Aug 30 2002 Heikki Johannes Junes <hjunes@cc.hut.fi> 1.6.0-1mdk
- Adapted from lilypond.redhat.skel and skeleton found in Mandrake's RPM-docs.
- TODO: info (?) and dependencies.

* Fri Jun 01 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.4.2-1mdk
- updated by Michael Brown <mbrown@linux-mandrake.com> :
	- Upgraded to 1.4.2
	- Changed URL
	- Removed /etc/profile.d scripts: all TeX bits are now located properly
	- Rearranged documentation
	- Tidied spec file
	- Updated README.first

* Mon Feb 26 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.3.129-1mdk
- added in contribs by Michael Brown <mbrown@fensystems.co.uk> :
	- Removed info files completely (couldn't get info reader to read them)
	- TODO: Get this to work at some point (in the meantime, use documentation in lilypond-extras)

* Sat Feb 17 2001 Michael Brown <mbrown@fensystems.co.uk>
- Moved TeX font folders into the system TeX tree (this ensures that the /var/lib/texmf font cache is used instead of current folder)
- Added mktexlsr to post-install and post-uninstall scripts
- Patched scripts in /etc/profile.d to reflect changes to font locations
- Added QuickStart guide and Points to note sections to README.first (well worth reading)
- Fixed install-info and uninstall-info sections to use Mandrake's RPM macros :-)

* Tue Feb 13 2001 Michael Brown <mbrown@fensystems.co.uk>
- First Mandrake package
- spec file heavily adapted from PowerPC contribs.
- Note HTML documentation may contain duff links and may be incomplete.  Lots of warnings appear when building HTML docs.
- PostScript documentation is duplicated (how do you get an rpm package to contain a symlink?)
- Created README.first file
